%define		pdir	Crypt
%define		pnam	Cracklib
Summary:	Crypt::Cracklib - Perl interface to Cracklib
Summary(pl.UTF-8):	Crypt::Cracklib - perlowy interfejs do biblioteki Cracklib
Name:		perl-Crypt-Cracklib
Version:	1.7
Release:	15
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8179f32d7470780e001532bcb6cb4080
Patch0:		no-tests.patch
URL:		http://search.cpan.org/dist/Crypt-Cracklib/
BuildRequires:	cracklib-devel
BuildRequires:	perl-Module-Install
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple interface to Alec Muffett's Crack library.

%description -l pl.UTF-8
Moduł Crypt::Cracklib jest prostym interfejsem do biblioteki Crack
Aleca Muffetta.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Crypt/Cracklib.pm
%dir %{perl_vendorarch}/auto/Crypt/Cracklib
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Cracklib/*.so
%{_mandir}/man3/Crypt::Cracklib.3pm*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Cracklib.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 7739021
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> f106113
- rebuild with perl 5.34.0

* Sat May 08 2021 Jan Rękorajski <baggins@pld-linux.org> 253f761
- disable tests, rel 13

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 6cafc38
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 6b6e0da
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> ad0bdf8
- rebuild with perl 5.30.0
- release 11 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 2b62d48
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9377358
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 577cf5f
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> db2597d
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> ff53569
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> a09334b
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 4f961f9
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 038fe18
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 523bbfb
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 183fde0
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> b8b03ad
- up to 1.7

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1de00db
- release 2

* Mon May 11 2009 amateja <amateja@pld-linux.org> 306f8b2
- updated to 1.4

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 6838dba
- updated 1.2 to ensure that proper License is specified

